---
title: RTCError.sdpLineNumber
slug: Web/API/RTCError/sdpLineNumber
tags:
  - API
  - Error
  - Networking
  - Property
  - RTCError
  - Read-only
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - sdpLineNumber
---
<p>{{APIRef("WebRTC")}}</p>

<p>The {{domxref("RTCError")}} interface's read-only property <code><strong>sdpLineNumber</strong></code> specifies the line number within the {{Glossary("SDP")}} at which a syntax error occurred while parsing it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>errorLineNumber</em> = <em>rtcError</em>.sdpLineNumber;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned integer value indicating the line within the SDP at which the syntax error described by the <code>RTCError</code> object occurred. The lines are numbed starting with line 1.</p>

<p>This property is <code>null</code> unless the value of {{domxref("RTCError.errorDetail", "errorDetail")}} is <code>sdp-syntax-error</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcerror-sdplinenumber', 'RTCError.sdpLineNumber')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCError.sdpLineNumber")}}</p>
